Module | Sequel::Plugins::ActiveModel
In: | lib/sequel/plugins/active_model.rb

The ActiveModel plugin makes Sequel::Model objects pass the ActiveModel::Lint tests, which should hopefully mean full ActiveModel compliance. This should allow the full support of Sequel::Model objects in Rails 3. This plugin requires active_model in order to use ActiveModel::Naming.

Usage:

      # Make all subclasses active_model compliant (called before loading subclasses)
      Sequel::Model.plugin :active_model

      # Make the Album class active_model compliant
      Album.plugin :active_model

### Classes and Modules

Module Sequel::Plugins::ActiveModel::InstanceMethods

### Constants

ClassMethods | = | ::ActiveModel::Naming

[Validate]